Retrieve Job Status
After submitting a request, you can query your Vault to determine the status of the request. To do this, you must have a valid job_id for a job previously requested through the API.
Example Jobs:
- Binder Export
- Import Submission
- Export Submission
- Create EDL
- Deploy Package
- Deep Copy Object Record
- Cascade Delete Object Record
- Export Documents
GET
/api/{version}/services/jobs/{job_id}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{job_id} | The ID of the job, returned from the original job request. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/services/jobs/1201Response
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "OK",
"data": {
"id": 1201,
"status": "SUCCESS",
"method": "POST",
"links": [
{
"rel": "self",
"href": "/api/v26.1/services/jobs/1601",
"method": "GET",
"accept": "application/json"
}
],
"created_by": 44533,
"created_date": "2016-04-20T18:14:42.000Z",
"run_start_date": "2016-04-20T18:14:43.000Z",
"run_end_date": "2016-04-20T18:14:44.000Z"
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information. All DateTime values for scheduled jobs are in the Vault time zone for the currently authenticated user. Learn more about the Vault time zone in Vault Help
| Metadata Field | Description |
|---|---|
id | The job_id field value for the job. |
status | The status of the job. Possible statuses include SCHEDULED, QUEUED, RUNNING, SUCCESS, ERRORS_ENCOUNTERED, QUEUEING, CANCELLED, TIMEOUT, COMPLETED_DUE_TO_INACTIVITY, and MISSED_SCHEDULE. Learn more about job statuses in Vault Help |
method | The HTTP method used in the request. |
links | Once the job is finished, use these endpoints and methods to retrieve other job details. Note that for Controlled Copy jobs, the artifacts link will only work with API v18.3+. |
progress | If the retrieved job is a custom job created with the Vault Java SDK, this array contains a summary of the number of job tasks (size) and their status. |
created_by | The id field value of the user who started the job. |
created_date | The date and time when the job was requested. |
run_start_date | The date and time when the export job started. |
run_end_date | The date and time when the export job finished. |